<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="encuesta">
        <h2 class="jh-entity-heading" data-cy="encuestaDetailsHeading">
          <span v-text="$t('gatewayApp.manillaEncuesta.detail.title')">Encuesta</span> {{ encuesta.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaEncuesta.fecha')">Fecha</span>
          </dt>
          <dd>
            <span v-if="encuesta.fecha">{{ $d(Date.parse(encuesta.fecha), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaEncuesta.debilidad')">Debilidad</span>
          </dt>
          <dd>
            <span>{{ encuesta.debilidad }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaEncuesta.cefalea')">Cefalea</span>
          </dt>
          <dd>
            <span>{{ encuesta.cefalea }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaEncuesta.calambres')">Calambres</span>
          </dt>
          <dd>
            <span>{{ encuesta.calambres }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaEncuesta.nauseas')">Nauseas</span>
          </dt>
          <dd>
            <span>{{ encuesta.nauseas }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaEncuesta.vomito')">Vomito</span>
          </dt>
          <dd>
            <span>{{ encuesta.vomito }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaEncuesta.mareo')">Mareo</span>
          </dt>
          <dd>
            <span>{{ encuesta.mareo }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaEncuesta.ninguna')">Ninguna</span>
          </dt>
          <dd>
            <span>{{ encuesta.ninguna }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaEncuesta.user')">User</span>
          </dt>
          <dd>
            {{ encuesta.user ? encuesta.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="encuesta.id" :to="{ name: 'EncuestaEdit', params: { encuestaId: encuesta.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./encuesta-details.component.ts"></script>
